Update Location Group
Updates the name of an existing location group
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Body
application/json
- Type: stringlocation
_group _id Unique ID that identifies a location group for the business. This ID is assigned to the location group at the time of creation.
- Type: stringname
Name of the location group that is assigned by the admin who created it
Responses
- application/json
- application/json
Request Example for patch/api2/dashboard/location_groups
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/location_groups \
--request PATCH \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"location_group_id": "2140",
"name": "CurrentGroupName"
}'
{
"location_group_id": 2140,
"name": "UpdatedGroupName",
"locations": [
{
"location_id": 312362,
"store_number": "317111"
}
]
}